## python-oslo.db 4.13.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
alembic>=0.8.4 # MIT
debtcollector>=1.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-oslo.db (4.13.3-3) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Mon, 28 Nov 2016 12:22:25 +0100

python-oslo.db (4.13.3-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:53 +0200

python-oslo.db (4.13.3-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * New upstream release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Using pkgos-dh_auto_{install,test} from openstack-pkg-tools >= 52~.
  * Removed python-oslo-db and python-oslo-db-doc transition packages.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Sep 2016 18:00:43 +0200

python-oslo.db (4.12.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * .gitreview: Copy file from orig tar.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * Align (Build-)Depends with upstream.
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Aug 2016 08:30:49 +0100

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-alembic (>= 0.8.4),
                     python-babel,
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python3-alembic (>= 0.8.4),
                     python3-babel,
                     python3-debtcollector (>= 1.2.0),
                     python3-eventlet (>= 0.18.4),
                     python3-fixtures (>= 3.0.0),
                     python3-migrate (>= 0.9.6),
                     python3-mock (>= 2.0),
                     python3-os-testr (>= 0.7.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.context (>= 2.9.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1.10.0),
                     python3-psycopg2 (>= 2.5),
                     python3-pymysql,
                     python3-six (>= 1.9.0),
                     python3-sqlalchemy (>= 1.0.10),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit,
                     python3-testresources,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.db?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.db -b debian/newton
Homepage: https://launchpad.net/oslo

Package: python-oslo.db
Architecture: all
Provides: python-oslo-db,
Depends: alembic (>= 0.8.4),
         python-alembic (>= 0.8.4),
         python-babel,
         python-debtcollector (>= 1.2.0),
         python-migrate (>= 0.9.6),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-db (<< 1.10.0-1~),
Replaces: python-oslo-db (<< 1.10.0-1~),
Description: database connectivity to the different backends and helper utils - Python 2.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.db
Architecture: all
Provides: python-oslo-db,
Depends: alembic (>= 0.8.4),
         python3-alembic (>= 0.8.4),
         python3-babel,
         python3-debtcollector (>= 1.2.0),
         python3-migrate (>= 0.9.6),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.context (>= 2.9.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.16.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-sqlalchemy (>= 1.0.10),
         python3-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python-oslo-db (<< 1.10.0-1~),
Replaces: python-oslo-db (<< 1.10.0-1~),
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

Package: python-oslo.db-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

## python-oslo.db 4.14.0

=== requirements.txt ===
--- 
+++ 
@@ -11,5 +11,5 @@
 oslo.utils>=3.16.0 # Apache-2.0
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
-stevedore>=1.16.0 # Apache-2.0
+stevedore>=1.17.1 # Apache-2.0
 six>=1.9.0 # MIT

## python-oslo.db 4.17.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
alembic>=0.8.4 # MIT
debtcollector>=1.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-oslo.db (4.17.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 19:05:11 +0000

python-oslo.db (4.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:30:22 -0500

python-oslo.db (4.16.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 10:04:16 -0500

python-oslo.db (4.15.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Bump version dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 Dec 2016 15:10:19 -0500

python-oslo.db (4.14.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Update dependencies.
  * debian/tests: Add autopkgtest to test oslo.db against
    a mysql database.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 23 Oct 2016 20:37:42 -0400

python-oslo.db (4.13.3-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/p/pymysql-default.patch: Update unit tests to deal with pymysql
      default in SQLAlchemy in Ubuntu, resolving FTBFS.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2016 12:31:19 +0100

python-oslo.db (4.13.0-0ubuntu2) yakkety; urgency=medium

  * Upload from ubuntu/newton branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 10:10:11 -0400

python-oslo.db (4.13.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 30 Aug 2016 10:31:43 -0400

python-oslo.db (4.12.0-1ubuntu1) yakkety; urgency=medium

  * d/p/pymysql-default.patch: Update unit tests to deal with pymysql
    default in SQLAlchemy in Ubuntu, resolving FTBFS.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Aug 2016 15:17:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-oslo.db
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -29,14 +30,14 @@
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-psycopg2 (>= 2.5),
                      python-pymysql,
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
                      python-testresources,
                      python-testtools (>= 1.4.0),
                      python3-alembic (>= 0.8.4),
@@ -46,11 +47,11 @@
                      python3-fixtures (>= 3.0.0),
                      python3-migrate (>= 0.9.6),
                      python3-mock (>= 2.0),
-                     python3-os-testr (>= 0.7.0),
+                     python3-os-testr (>= 0.8.0),
                      python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.context (>= 2.9.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.utils (>= 3.18.0),
                      python3-oslotest (>= 1.10.0),
                      python3-psycopg2 (>= 2.5),
                      python3-pymysql,
@@ -63,9 +64,10 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.db?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.db -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.db
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.db
 Homepage: https://launchpad.net/oslo
+XS-Testsuite: autopkgtest
 
 Package: python-oslo.db
 Architecture: all
@@ -78,11 +80,11 @@
          python-oslo.config (>= 1:3.14.0),
          python-oslo.context (>= 2.9.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python:Depends},
 Breaks: python-oslo-db (<< 1.10.0-1~),
@@ -105,11 +107,11 @@
          python3-oslo.config (>= 1:3.14.0),
          python3-oslo.context (>= 2.9.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          python3-sqlalchemy (>= 1.0.10),
-         python3-stevedore (>= 1.16.0),
+         python3-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python3:Depends},
 Breaks: python-oslo-db (<< 1.10.0-1~),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.db.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_LOCK_PATH=$(CURDIR)/debian/

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'tests\.(?!.*test_db_api_without_installed_eventlet.*)'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.db-doc/usr/share/doc/python-oslo.db-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-oslo.db 4.17.1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.8 # Apache-2.0
-alembic>=0.8.4 # MIT
+alembic>=0.8.10 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0

=== debian/changelog ===
python-oslo.db (4.17.1-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 16 Sep 2017 10:54:11 +0200

python-oslo.db (4.9.0-1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * .gitreview: Copy file from orig tar.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Aug 2016 13:23:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python-oslo.db
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -16,8 +15,8 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: alembic (>= 0.8.4),
-                     python-alembic (>= 0.8.4),
+Build-Depends-Indep: alembic (>= 0.8.8),
+                     python-alembic (>= 0.8.8),
                      python-babel,
                      python-coverage,
                      python-debtcollector (>= 1.2.0),
@@ -31,7 +30,7 @@
                      python-oslo.context (>= 2.9.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-psycopg2 (>= 2.5),
                      python-pymysql,
@@ -40,14 +39,14 @@
                      python-stevedore (>= 1.17.1),
                      python-testresources,
                      python-testtools (>= 1.4.0),
-                     python3-alembic (>= 0.8.4),
+                     python3-alembic (>= 0.8.8),
                      python3-babel,
                      python3-debtcollector (>= 1.2.0),
                      python3-eventlet (>= 0.18.4),
                      python3-fixtures (>= 3.0.0),
                      python3-migrate (>= 0.9.6),
                      python3-mock (>= 2.0),
-                     python3-os-testr (>= 0.8.0),
+                     python3-os-testr (>= 0.7.0),
                      python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.context (>= 2.9.0),
                      python3-oslo.i18n (>= 2.1.0),
@@ -57,23 +56,22 @@
                      python3-pymysql,
                      python3-six (>= 1.9.0),
                      python3-sqlalchemy (>= 1.0.10),
-                     python3-stevedore (>= 1.16.0),
+                     python3-stevedore (>= 1.17.1),
                      python3-subunit,
                      python3-testresources,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.db
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.db
+Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-oslo.db.git/?h=debian%2Focata
+Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-oslo.db.git -b debian/ocata
 Homepage: https://launchpad.net/oslo
-XS-Testsuite: autopkgtest
 
 Package: python-oslo.db
 Architecture: all
 Provides: python-oslo-db,
-Depends: alembic (>= 0.8.4),
-         python-alembic (>= 0.8.4),
+Depends: alembic (>= 0.8.8),
+         python-alembic (>= 0.8.8),
          python-babel,
          python-debtcollector (>= 1.2.0),
          python-migrate (>= 0.9.6),
@@ -99,8 +97,8 @@
 Package: python3-oslo.db
 Architecture: all
 Provides: python-oslo-db,
-Depends: alembic (>= 0.8.4),
-         python3-alembic (>= 0.8.4),
+Depends: alembic (>= 0.8.8),
+         python3-alembic (>= 0.8.8),
          python3-babel,
          python3-debtcollector (>= 1.2.0),
          python3-migrate (>= 0.9.6),

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,8 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build .testrepository
+	rm -f AUTHORS
+	rm -f ChangeLog
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

## python-oslo.db 4.25.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
alembic>=0.8.10 # MIT
debtcollector>=1.2.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-oslo.db (4.25.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 12 Aug 2017 01:55:54 +0000

python-oslo.db (4.25.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 17:50:41 -0400

python-oslo.db (4.24.0-0ubuntu2) artful; urgency=medium

  * d/control: Revert Breaks/Replaces back to what they contained prior
    to commit 910a31fc (LP: #1703483).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2017 08:32:28 -0400

python-oslo.db (4.24.0-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jul 2017 15:42:49 -0400

python-oslo.db (4.23.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Jun 2017 12:02:18 +0100

python-oslo.db (4.22.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop Provides: python{3}-oslo-db, no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:23:43 +0100

python-oslo.db (4.21.1-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 May 2017 14:33:36 -0400

python-oslo.db (4.21.0-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 09:09:07 +0100

python-oslo.db (4.21.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Bump version dependencies.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:02:57 +0100

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: alembic (>= 0.8.10),
                     python-babel,
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-migrate (>= 0.11.0),
                     python-mock (>= 2.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python3-alembic (>= 0.8.4),
                     python3-babel,
                     python3-debtcollector (>= 1.2.0),
                     python3-eventlet (>= 0.18.4),
                     python3-fixtures (>= 3.0.0),
                     python3-migrate (>= 0.11.0),
                     python3-mock (>= 2.0),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.context (>= 2.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-psycopg2 (>= 2.5),
                     python3-pymysql,
                     python3-six (>= 1.9.0),
                     python3-sqlalchemy (>= 1.0.10),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit,
                     python3-testresources,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.db
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.db
Homepage: https://launchpad.net/oslo
XS-Testsuite: autopkgtest

Package: python-oslo.db
Architecture: all
Depends: alembic (>= 0.8.4),
         python-alembic (>= 0.8.4),
         python-babel,
         python-debtcollector (>= 1.2.0),
         python-migrate (>= 0.11.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-db (<< 1.10.0-1~),
Replaces: python-oslo-db (<< 1.10.0-1~),
Description: database connectivity to the different backends and helper utils - Python 2.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.db
Architecture: all
Depends: alembic (>= 0.8.4),
         python3-alembic (>= 0.8.4),
         python3-babel,
         python3-debtcollector (>= 1.2.0),
         python3-migrate (>= 0.11.0),
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.context (>= 2.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-six (>= 1.9.0),
         python3-sqlalchemy (>= 1.0.10),
         python3-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python-oslo-db (<< 1.10.0-1~),
Replaces: python-oslo-db (<< 1.10.0-1~),
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

Package: python-oslo.db-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

=== debian/tests/control ===
Tests: mysql
Depends: alembic, python-babel, python-alembic, python-debtcollector, python-oslo.i18n, 
 python-oslo.config, python-oslo.context, python-oslo.utils, python-sqlalchemy,
 python-migrate, python-stevedore, python-six, python-fixtures, python-mock,
 python-oslotest, python-os-testr, python-tox, python-oslo.db, mysql-server-5.7,
 python-testresources, python-pymysql, python-mysql.connector
Restrictions: allow-stderr needs-root breaks-testbed

## python-oslo.db 4.33.0

=== requirements.txt ===
--- 
+++ 
@@ -5,10 +5,10 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 alembic>=0.8.10 # MIT
 debtcollector>=1.2.0 # Apache-2.0
-oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
-oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
-oslo.utils>=3.20.0 # Apache-2.0
+oslo.i18n>=3.15.3 # Apache-2.0
+oslo.config>=5.1.0 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
-six>=1.9.0 # MIT
+six>=1.10.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.17.0 # Apache-2.0
sphinx>=1.6.2 # BSD
doc8>=0.6.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

# These modules are needed when generating document
fixtures>=3.0.0 # Apache-2.0/BSD
testresources>=2.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
oslotest>=1.10.0 # Apache-2.0

=== debian/changelog ===
python-oslo.db (4.33.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:47:37 +0000

python-oslo.db (4.31.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:22:20 +0000

python-oslo.db (4.29.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop Breaks/Replaces. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Nov 2017 17:16:23 -0400

python-oslo.db (4.25.0-3ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control, d/tests/*: MySQL autopkgtests.
    - d/control: Retain Breaks/Replaces.
    - d/gbp.conf: Retain git-buildpackage config, including use of pristine-tar.
    - d/p/pymysql-default.patch: Update unit tests to deal with pymysql
      default in SQLAlchemy in Ubuntu, resolving FTBFS.
    - d/watch: Use tarballs.openstack.org.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Nov 2017 10:51:11 -0400

python-oslo.db (4.25.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:23:20 +0000

python-oslo.db (4.25.0-2) experimental; urgency=medium

  * Removed transition packages.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Sep 2017 19:02:29 +0000

python-oslo.db (4.25.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Reviewed (build-)depends for this release.
  * Using debian/pike in gbp.conf.

  [ Daniel Baumann ]
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 19:58:56 +0000

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 alembic (>= 0.8.0),
 python-alembic (>= 0.8.10),
 python-coverage,
 python-debtcollector,
 python-eventlet,
 python-fixtures,
 python-hacking,
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1.10.0),
 python-psycopg2 (>= 2.5),
 python-pymysql,
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.20.0),
 python-testresources (>= 2.0.0),
 python-testtools (>= 2.2.0),
 python3-alembic (>= 0.8.10),
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1.10.0),
 python3-psycopg2 (>= 2.5),
 python3-pymysql,
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/oslo/python-oslo.db.git
Vcs-Git: https://anonscm.debian.org/git/openstack/oslo/python-oslo.db.git
Homepage: https://launchpad.net/oslo
XS-Testsuite: autopkgtest

Package: python-oslo.db
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-migrate (>= 0.11.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python:Depends},
Description: database connectivity to the different backends and helper utils - Python 2.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 2.x module.

Package: python-oslo.db-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-migrate (>= 0.11.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,26 +1,46 @@
 #!/usr/bin/make -f
 
+PYTHONS:=$(shell pyversions -vr)
+PYTHON3S:=$(shell py3versions -vr)
+
 UPSTREAM_GIT := https://github.com/openstack/oslo.db.git
-include /usr/share/openstack-pkg-tools/pkgos.make
+-include /usr/share/openstack-pkg-tools/pkgos.make
 
+export OSLO_PACKAGE_VERSION=$(VERSION)
 export OSLO_LOCK_PATH=$(CURDIR)/debian/
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_auto_install:
-	pkgos-dh_auto_install
+override_dh_install:
+	set -e ; for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-oslo.db; \
+	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-oslo.db; \
+	done
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'tests\.(?!.*test_db_api_without_installed_eventlet.*)'
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*test_db_api_without_installed_eventlet.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build .testrepository
-	rm -f AUTHORS
-	rm -f ChangeLog
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

## python-oslo.db 4.40.0

=== requirements.txt ===
--- 
+++ 
@@ -3,12 +3,16 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-alembic>=0.8.10 # MIT
+alembic>=0.9.6 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 six>=1.10.0 # MIT
+# these are used by downstream libraries that require
+# oslo.db as one of their test requirements - do not remove!
+testresources>=2.0.0 # Apache-2.0/BSD
+testscenarios>=0.4 # Apache-2.0/BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
doc8>=0.6.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

# These modules are needed when generating document
fixtures>=3.0.0 # Apache-2.0/BSD
testresources>=2.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.db (4.40.0-3) unstable; urgency=medium

  * Add Resolve_SAWarning_in_Query.soft_delete.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Feb 2019 16:24:27 +0100

python-oslo.db (4.40.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 22:53:21 +0200

python-oslo.db (4.40.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream:
    - Ignore_use_tpool_option.patch
    - fix-python3.7-async-reserved-keyword.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 18:34:48 +0200

python-oslo.db (4.33.1-2) unstable; urgency=medium

  [ Michal Arbet ]
  * Add patch fix-python3.7-async-reserved-keyword.patch
  * Add removal of .eggs to dh_clean
  * Update uploaders field in d/control
  * Update d/copyright

  [ Thomas Goirand ]
  * Modernize debian/rules and use pkgos-dh_auto_{install,test}.
  * Use Python 3 to build the doc.
  * Use team+openstack@tracker.debian.org as maintainer.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jul 2018 12:11:29 +0000

python-oslo.db (4.33.1-1) unstable; urgency=medium

  * New upstream release.
  * Bumped required version of oslotest b-d.
  * Add Ignore_use_tpool_option.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 May 2018 09:21:31 +0200

python-oslo.db (4.33.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:23:24 +0000

python-oslo.db (4.33.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 08:14:22 +0000

python-oslo.db (4.25.0-5) unstable; urgency=medium

  * Team upload.

  [ Michal Arbet ]
  * Added build dependency python{,3}-testscenarios
  * Edit Vcs fields to salsa.debian.org

  [ Ondřej Nový ]
  * Standards-Version is 4.1.3 now (no change)

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jan 2018 13:56:54 +0100

python-oslo.db (4.25.0-4) unstable; urgency=medium

  * Added auto-pkg-tests from Ubuntu (Closes: #880602).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 21:33:36 +0100

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 81~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.9.6),
 python-alembic (>= 0.9.6),
 python-coverage,
 python-debtcollector,
 python-eventlet,
 python-fixtures,
 python-hacking,
 python-migrate (>= 0.11.0),
 python-mock,
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n,
 python-oslo.utils (>= 3.20.0),
 python-oslotest (>= 1:3.2.0),
 python-psycopg2 (>= 2.6.2),
 python-pymysql,
 python-six,
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.20.0),
 python-testresources (>= 2.0.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python3-alembic (>= 0.9.6),
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-migrate (>= 0.11.0),
 python3-mock,
 python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n,
 python3-oslo.utils (>= 3.20.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-six,
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.db
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.db.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.db
Architecture: all
Depends:
 alembic (>= 0.9.6),
 python-alembic (>= 0.9.6),
 python-migrate (>= 0.11.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n,
 python-oslo.utils (>= 3.20.0),
 python-pbr (>= 2.0.0),
 python-six,
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.20.0),
 python-testresources (>= 2.0.0),
 python-testscenarios,
 ${misc:Depends},
 ${python:Depends},
Description: database connectivity to the different backends and helper utils - Python 2.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 2.x module.

Package: python-oslo.db-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python3-oslo.db
Architecture: all
Depends:
 alembic (>= 0.9.6),
 python3-alembic (>= 0.9.6),
 python3-migrate (>= 0.11.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n,
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 ${misc:Depends},
 ${python3:Depends},
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.db.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_LOCK_PATH=$(CURDIR)/debian/

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_db\.tests.*'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository
	rm -rf .eggs

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.db-doc/usr/share/doc/python-oslo.db-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.db/tags .*/(\d[\d\.]+)\.tar\.gz
